%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%{!?tcl_version: %global tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %global tcl_sitearch %{_prefix}/%{_lib}/tcl%{tcl_version}}

%define realname sk1
%define revision pre_rev730

Name:           sK1
Version:        0.9.1
Release:        0.11.pre_rev730%{?dist}
Summary:        Advanced vector graphics editor

Group:          Applications/Publishing
License:        GPLv2+ and LGPLv2+
URL:            http://sk1project.org
Source0:        http://sk1project.org/downloads/%{realname}/%{version}%{revision}/%{realname}-%{version}%{revision}.tar.gz
Source1:        %{name}.desktop
# https://bugzilla.redhat.com/show_bug.cgi?id=896298
Patch0:         sK1-pillow.patch
Patch1:         sK1-0.9.1-tcl86.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:   tkinter
Requires:   python-imaging
Requires:   python-lcms
Requires:   zenity
Requires:   python-imaging-tk
Requires:   hicolor-icon-theme
Requires:   python-reportlab

BuildRequires:  python-devel
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  freetype-devel
BuildRequires:  cairo-devel
BuildRequires:  libXext-devel
BuildRequires:  lcms-devel
BuildRequires:  desktop-file-utils

Provides:   skencil
Obsoletes:  skencil < 0.6.19

%description
sK1 is an open source vector graphics editor similar to CorelDRAW,
Adobe Illustrator, or Freehand. sK1 is mainly oriented for PostScript
processing. It features CMYK colorspace support, CMYK support in
Postscript, a Cairo-based engine, color managment, universal CDR
importer (7-X3 versions), and a modern Ttk based (former Tile widgets)
user interface.


%prep
%setup -q -n sK1-0.9.1pre
%patch0 -p1
%patch1 -p1 -b .tcl86

sed -i 's/tcl8.5/tcl%{tcl_version}/g;s/tk8.5/tk%{tcl_version}/g' \
  setup.cfg setup.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__chmod} 0755 $RPM_BUILD_ROOT%{python_sitearch}/sk1/__init__.py


# icons
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
for i in 16 32 48 64; do \
install -m 0644 src/share/icons/CrystalSVG/icon_sk1_$i.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$i\x$i/apps/%{name}.png; \
done


# menu
desktop-file-install                                    \
--add-category="Graphics"                               \
--dir=%{buildroot}%{_datadir}/applications              \
%{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files

%defattr(-,root,root,-)
%doc src/COPYRIGHTS src/GNU_GPL_v2 src/GNU_LGPL_v2
%{_bindir}/%{realname}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.11.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.10.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.9.1-0.9.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.8.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb  4 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.1-0.7.pre_rev730
- Add a patch to provide compatibility with python-pillow

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.6.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.5.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.4.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.1-0.3.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-0.2.pre_rev730
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 27 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.9.1-0.1.pre_rev730
- Initial RPM
